@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");

/* ================= ROOT VARIABLES ================= */
:root{
    --color-primary:#198554;
    --color-primary-hover:#195037;
    --color-primary-alt:#5e40f0;

    --color-link:rgba(85, 86, 253, 1);

    --color-bg-light:#f9e7f3;

    --color-border:#ededed;
    --color-border-dashed:rgba(237, 237, 237, 1);

    --color-text-dark:#333;
    --color-text-mid:#444;
    --color-text-muted:#777;
    --color-text-light:#4b4b4b;

    --color-btn-bg:#c4c4c4;
    --color-btn-text:#fff;

    --color-dot-inactive:#fff;
    --color-dot-active:#111;

    --color-overlay:#888;
    --color-white:#fff;
}

/* ================= GLOBAL ================= */

@font-face {
  font-family: 'Gotham-light';
  src: url('/assets/img/bigmov_login/Gotham/Gotham-Book.ttf') format('truetype');
  font-weight: 300;
  font-style: normal;
}

@font-face {
  font-family: 'Gotham';
  src: url('/assets/img/bigmov_login/Gotham/Gotham-Bold.otf') format('truetype');
  font-weight: 300;
  font-style: normal;
}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    
}

body{
    min-height:100vh;
    display:flex;
    justify-content:center;
    align-items:center;
    font-family: 'Gotham-light';
}

/* ================= LOGIN LAYOUT ================= */

.login-container{
    display:flex;
    width:95%;
    height:90vh;
    overflow:hidden;
    align-items:center;
}

.left-section{
    width:60%;
    margin:auto;
}

.right-section{
    width:100%;
    height:90vh;
    display:flex;
    justify-content:center;
    align-items:center;
    text-align:center;
    border-radius:20px;
    margin-left: 50px;
}

/* ================= LOGO ================= */

.logo-box{
    text-align:center;
    margin-bottom:30px;
}

.logo-box img{
    width:200px;
    display:block;
    margin:auto;
}

/* ================= SIGNIN ================= */

.signin-box h3{
    font-size:32px;
    font-weight:600;
    margin-bottom:5px;
    color:var(--color-text-dark);
    font-family: 'Gotham';
}

.signin-box p{
    font-size:14px;
    margin-bottom:20px;
    color:var(--color-text-light);
}

/* ================= FORM ================= */

.form-group{
    margin-bottom:20px;
}

.form-group label{
    display:block;
    font-size:14px;
    font-weight:400;
    margin-bottom:6px;
    color:var(--color-text-dark);
}

.form-group input{
    width:100%;
    padding:15px 40px;
    border: none;
    /* border-bottom:1px solid #CCCCCC; */
    font-size:14px;
    height: 46px;
    border-radius:8px !important;
    background-color: #FAFAFA
}

.form-group input:focus,.form-control.is-valid:focus{
    outline:none;
    box-shadow: none;
    background-color: #FAFAFA;
}

.input-icon {
    position: absolute;
    z-index: 10;
    top: 12px;
    left: 15px;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 1000px rgba(250, 250, 250, 1) inset !important; /* your color */
    box-shadow: 0 0 0 1000px rgba(250, 250, 250, 1) inset !important;
    -webkit-text-fill-color: #000 !important; /* text color */
}

.input-group-text{
    background:#fafafa;
    border:1px solid var(--color-border);
}

.input-group{
    border-radius: 8px !important;
    border-bottom:1px solid #CCCCCC;
}

input::placeholder{
    color: rgba(196, 196, 196, 1) !important;
}

/* ================= FORM OPTIONS ================= */

.form-options{
    display:flex;
    justify-content:space-between;
    align-items:center;
    margin-bottom:20px;
    font-size:13px;
}

.form-options label{
    display:flex;
    align-items:center;
    gap:5px;
    color:var(--color-text-mid);
}

.form-options a{
    text-decoration:none;
    color:var(--color-link);
    font-weight:400;
}

/* ================= BUTTONS ================= */

.btn{
    width:100%;
    padding:12px;
    border:none;
    border-radius:6px;
    font-size:15px;
    font-weight:600;
    cursor:pointer;
    background:black;
    color:var(--color-btn-text);
}

.btn:hover{
    color:#fff;
}

.btn:focus{
    box-shadow: unset !important;
}

.btn-google{
    width:100%;
    padding:12px;
    border:1px solid var(--color-border);
    border-radius:6px;
    background:rgba(238, 238, 238, 1);
    font-size:15px;
    font-weight:500;
    display:flex;
    justify-content:center;
    align-items:center;
    gap:10px;
    cursor:pointer;
}


.btn-google img{
    width:20px;
}

/* ================= RIGHT IMAGE CLIP ================= */

.clip_container{
    width:100%;
    height:min(90vh,900px);
    aspect-ratio:5/6;
    position:relative;
    background:url("/assets/img/bigmov_login/bigmov-bg.png") center/cover no-repeat;
    clip-path:url("#clip");
}

.content_wrapper{
    position:absolute;
    top:55%;
    left:50%;
    transform:translate(-50%,-50%);
    width:90%;
    height:100%;
    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;
    gap:20px;
}

/* ================= TITLES ================= */

.sectionTitle{
    font-size: clamp(14px, 2.5vw, 38px);
    font-weight:700;
    text-align:center;
    margin-bottom: 20px;
    font-family: 'Gotham';
}

.sectionDesc{
    width: 90%;
    margin: 0 auto;

    font-family: Gotham-light;
    font-weight: 400;
    font-style: Book;
    font-size: clamp(14px, 2vw, 20px);
    line-height: 28px;
    letter-spacing: 0px;
    text-align: center;
}

/* ================= MOBILE HERO ================= */

.mobile-view-content{
    display:none;
    background:url(/assets/img/bigmov_login/mobile-bg.png) center/cover;
    /* height:260px; */
    position:relative;
    margin-bottom:30px;
}

.mv_content{
    width:90%;
    height:100%;
    margin:auto;
    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;
    text-align: center;
}

.mv_sectionTitle{
    font-size:20px;
    font-weight:700;
    margin:20px 10px;
    color: var(--color-bg-light);
    font-family: 'Gotham';
}

.mv_sectionDesc{
    font-size:12px;
    line-height:18px;
    font-weight: 400;
    color: var(--color-bg-light);
}

/* ================= SLIDER ================= */

.slider-container{
    width:100%;
    max-width:600px;
    margin:auto;
}

.slider{
    display:flex;
    flex-direction:column;
    transition:transform .6s ease-in-out;
}

.slide{
    display:flex;
    justify-content:center;
    align-items:center;
}

.slide img{
    width:100%;
    object-fit:cover;
    border-radius:8px;
}

.dots{
    display:flex;
    justify-content:center;
    margin-top:10px;
}

.dots span{
    width:8px;
    height:8px;
    margin:0 4px;
    border-radius:50%;
    cursor:pointer;
    background:var(--color-dot-inactive);
}

.dots .active{
    background:var(--color-dot-active);
}

/* ================= DIVIDER ================= */

.divider {
  display: flex;
  align-items: center;
  text-align: center;
  color: rgba(75, 75, 75, 1);
}

.divider::before,
.divider::after {
      content: "";
  flex: 1;
  height: 2px;
  margin: 40px 0;
    background: repeating-linear-gradient(
        to right,
        var(--color-border-dashed) 0,
        var(--color-border-dashed) 6px,
        transparent 6px,
        transparent 12px
    );
}

.divider::before {
  /* fade effect */
  mask-image: linear-gradient(to right, transparent, black 50%, black 100%, transparent);
  -webkit-mask-image: linear-gradient(to right, transparent, black 50%, black 100%, transparent);
}


.divider::after {
  /* fade effect */
  mask-image: linear-gradient(to right, transparent, black 0%, black 50%, transparent);
  -webkit-mask-image: linear-gradient(to right, transparent, black 0%, black 50%, transparent);
}


.divider span {
  padding: 0 1em;
}

/* ================= BIGMOV CTA ================= */

.newBigMov_box{
    width:90%;
    margin:auto;
    display:flex;
    justify-content:center;
    /* padding:40px 0; */
}

.newBigMov_login{
    width:100%;
    height:90vh;
    display:flex;
    align-items:center;
    gap:20px;
}

.newBigMov_btn{
    width:285px;
    height:40px;
    border:0;
    border-radius:5px;
    color:#fff;
    background:var(--color-primary-alt);
    cursor:pointer;
}

.newBigMov_btn:hover{
    background:var(--color-primary-hover);
}

.newBigMov_content{
    color:#fff;
}

/* ================= PASSWORD TOGGLE ================= */

.toggle-password-section{
    position:relative;
}

.cs-toggle-password{
    position:absolute;
    z-index: 10;
    top:12px;
    right:12px;
    cursor:pointer;
    color:#6e6e6e;
}

.form-control.is-valid{
    background-position: center right calc(0.375em + 3rem) !important;
}

.form-control.is-invalid{
    border: 1px solid #dc3545 !important;
}

.form-control.is-invalid:focus{
    box-shadow: unset !important;
}

/* ================= FORGET PASSWORD ================= */

.forgetPass-box .title,
.changePass-box .title{
    font-size:24px;
    font-weight:600;
    margin-bottom:15px;
}

.forgetPass-box .boxcontent,
.changePass-box .boxcontent{
    width:75%;
    margin:auto;
    font-size:14px;
    color:var(--color-text-muted);
    margin-bottom:20px;
}

.backtologin_btn{
    text-align:center;
    margin:10px 0;
}

.backtologin_btn a{
    text-decoration:none;
    font-size:14px;
    font-weight:500;
    color:var(--color-text-muted);
}

/* ================= RESPONSIVE ================= */

@media (max-width:1024px){
    .clip_container{height:60vh;}
    .left-section{width:100%;}
}

@media (max-width:768px){

    .login-container{
        flex-direction:column;
    }

    .left-section,
    .right-section{
        width:100%;
    }

    .clip_container{
        height:70vh;
    }
    .left-section, body{
        background-color: #F6F6F6;
    }
    .form-group input{
        background-color: #FFFFFF
    }   
    .form-group input:focus,.form-control.is-valid:focus{
        background-color: #FFFFFF;
    }
    
}

@media (max-width:480px){
    .clip_container{height:60vh;}
}

@media (max-width:360px){
    .clip_container{height:55vh;}
}

@media screen and (max-width: 390px) and (max-height: 899px) {
     .signin-box, .forgetPass-box, .changePass-box {
        padding: 0px 30px 30px 30px !important;
    }
    .logo-box{
        margin-bottom: 20px !important;
    }
    .logo-box img{
        width:150px !important;
    }
    .signin-box h3{
        font-size: 18px;
    }
}

@media (max-width:1000px){

    .newBigMov_content{
        display:none;
    }

    .newBigMov_login{
        flex-direction:column;
        /* justify-content:center; */
        align-items:center;
    }

    .mobile-view-content{
        display:block;
    }

    .signin-box,.forgetPass-box,.changePass-box{
        padding:30px;
    }
    .newBigMov_box{
        width: 100%;
    }
    body{
        display: block;
        width: 80%;
        margin: 0 auto;
    }

    .image-container img{
        height: 400px !important;
    }

    .divider::before, .divider::after {
        margin: 30px 0 !important;
    }
}


@media (max-width: 500px) {
    .logo-box{
        margin-bottom: 0px;
        margin-top: 0px;
    }
    .signin-box h3{
        font-size: 18px !important;
    }

    body{
        width: 100%;
    }

    .image-container img{
        height: 262px !important;
    }

}

.remember-label {
  display: flex;
  align-items: center;
  gap: 8px;
  cursor: pointer;
  font-size: 14px;
}

/* Hide default checkbox */
.remember-label input {
  display: none;
}

/* Custom box */
.custom-checkbox {
  width: 16px;
  height: 16px;
  border: 1px solid #E0E0E0;
  border-radius: 4px;
  display: inline-block;
  position: relative;
}

/* Tick mark when checked */
.remember-label input:checked + .custom-checkbox::after {
  content: "";
  position: absolute;
  left: 4px;
  top: 0px;
  width: 5px;
  height: 10px;
  border: solid rgba(25, 133, 84, 1);
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
}

.image-container {
  position: relative;
}

.image-container img {
  width: 100%;
  height: 262px;
  display: block;
}

.image-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: #fff; /* change based on your image */
  width: 80%;
}

.otp_input_box{
    width: 70%;
}

/* Large screens (laptops) */
@media (max-width: 1200px) {
    .otp_input_box {
        width: 70%;
    }
}

@media (max-width: 1280px) {
    .otp_input_box {
        width: 100%;
    }
}

/* Tablets */
@media (max-width: 992px) {
    .otp_input_box {
        width: 80%;
    }
}

/* Mobile devices */
@media (max-width: 768px) {
    .otp_input_box {
        width: 80%;
    }
}

/* Small mobiles */
@media (max-width: 480px) {
    .otp_input_box {
        width: 100%;
    }
}
.form-control:disabled, .form-control[readonly]{
    background-color: rgba(238, 238, 238, 1) !important;
}